CREATE TABLE loy_event_attr (
    EVENT_ATTR_ID            NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    EVENT_ID                 NUMBER(18, 0)    NOT NULL,
    TXN_ATTR_INT_NAME        VARCHAR2(300),
    TXN_ATTR_VALUE           VARCHAR2(300),
    MEM_ATTR_INT_NAME        VARCHAR2(300),
    INV_ORG_ID               NUMBER(18, 0),
    PROD_ID                  NUMBER(18, 0),
    EVENT_ATTR_ID            NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    EVENT_ID                 NUMBER(18, 0)    NOT NULL,
    TXN_ATTR_INT_NAME        VARCHAR2(300),
    TXN_ATTR_VALUE           VARCHAR2(300),
    MEM_ATTR_INT_NAME        VARCHAR2(300),
    INV_ORG_ID               NUMBER(18, 0),
    PROD_ID                  NUMBER(18, 0),
    CONSTRAINT pk_loy_event_attr PRIMARY KEY (EVENT_ATTR_ID, EVENT_ATTR_ID)
);
